Name:          h2
Version:       1.3.155
Release:       %mkrel 2
Summary:       H2 Database Engine
Group:         Development/Java
License:       EPL, H2, MPL
Url:           http://www.h2database.com/
Source0:       http://www.h2database.com/h2-2011-05-27.zip
Source1:       http://mirrors.ibiblio.org/pub/mirrors/maven2/com/h2database/h2/%{version}/h2-%{version}.pom
Patch0:        h2-1.3.155-servlet6.patch
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: felix-osgi-core
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: lucene
BuildRequires: lucene3
BuildRequires: servlet6
BuildRequires: slf4j
Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
H2 is a Java SQL database. The main feature are:
* Very fast
* Open Source
* Java
* Embedded, Server, and Cluster
* Disk and In Memory
* Strong security features 

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
H2 Database Engine.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Manual for %{name}

%description manual
H2 Database Engine.

This package contains manual for %{name}.

%prep
%setup -q -c -n h2-%{version}
rm -rf 
cd h2
%patch0 -p0

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

mkdir -p ext
ln -sf $(build-classpath lucene) ext/lucene-core-2.2.0.jar
ln -sf $(build-classpath lucene3) ext/lucene-core-3.0.2.jar
ln -sf $(build-classpath felix/org.osgi.core) ext/org.osgi.core-1.2.0.jar
ln -sf $(build-classpath servletapi5) ext/servlet-api-2.4.jar
ln -sf $(build-classpath slf4j/api) ext/slf4j-api-1.6.0.jar

%build

cd h2
export JAVA_HOME=%{java_home}
chmod u+x build.sh
./build.sh jar docs

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 h2/bin/h2-%{version}.jar %{buildroot}%{_javadir}/h2-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-h2.pom
%add_to_maven_depmap com.h2database h2 %{version} JPP h2

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf  ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/h2-%{version}
cp -r  h2/docs/javadoc/* %{buildroot}%{_javadocdir}/h2-%{version}
ln -s h2-%{version} %{buildroot}%{_javadocdir}/h2

mkdir -p %{buildroot}%{_docdir}/h2
cp -r  h2/src/docsrc/* %{buildroot}%{_docdir}/h2

sed -i "s:org/h2:%{_javadocdir}/h2/org/h2:" %{buildroot}%{_docdir}/h2/javadoc/classes.html

sed -i "s:h2-%{version}.jar:%{_javadir}/h2.jar:" h2/bin/h2.sh
mkdir -p %{buildroot}%{_bindir}
install -pm 755 h2/bin/h2.sh %{buildroot}%{_bindir}/h2

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_bindir}/h2
%{_javadir}/h2-%{version}.jar
%{_javadir}/h2.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_docdir}/h2/html/license.html

%files javadoc
%{_javadocdir}/h2-%{version}
%{_javadocdir}/h2

%files manual
%{_docdir}/h2/help
%{_docdir}/h2/html
%{_docdir}/h2/images
%{_docdir}/h2/index.html
%{_docdir}/h2/javadoc
%{_docdir}/h2/text
%{_docdir}/h2/textbase



%changelog

* Sun Nov 27 2011 dmorgan <dmorgan> 1.3.155-2.mga2
+ Revision: 172471
- Rename pom file

* Mon Sep 05 2011 dmorgan <dmorgan> 1.3.155-1.mga2
+ Revision: 138661
- Fix groups
- Adapt to mageia guidelines
- Clean spec file

  + gil <gil>
    - imported package h2


* Fri Jun 10 2011 gil <gil> 1.2.147-0.%%mkrel
- initial rpm